Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Base\Container\ApiLoader\FieldTypeNameableCollectionFactory Class Reference
Inheritance diagram for eZ\Publish\Core\Base\Container\ApiLoader\FieldTypeNameableCollectionFactory:

## Public Member Functions
| registerNameableFieldType ($nameableFieldTypeServiceId, $fieldTypeAlias)
| Registers an eZ Publish field type. More...
| registerNonNameableFieldType ($fieldTypeServiceId, $fieldTypeAlias)
| Registers an eZ Publish field type. More...
| getNameableFieldTypes ()
| Returns registered field types (as closures to be lazy loaded in the public API). More...

## Protected Attributes
| $nameableFieldTypeClosures = []

## Detailed Description

Definition at line 13 of file FieldTypeNameableCollectionFactory.php.

## Member Function Documentation

## ◆ getNameableFieldTypes()

eZ\Publish\Core\Base\Container\ApiLoader\FieldTypeNameableCollectionFactory::getNameableFieldTypes | ( |  | ) |

Returns registered field types (as closures to be lazy loaded in the public API).

Returns
  \Closure[]

Definition at line 59 of file FieldTypeNameableCollectionFactory.php.

References eZ\Publish\Core\Base\Container\ApiLoader\FieldTypeNameableCollectionFactory\$nameableFieldTypeClosures.

## ◆ registerNameableFieldType()

eZ\Publish\Core\Base\Container\ApiLoader\FieldTypeNameableCollectionFactory::registerNameableFieldType | ( |  | $nameableFieldTypeServiceId,
|  |  | $fieldTypeAlias
| ) |  |

Registers an eZ Publish field type.

Field types are being registered as a closure so that they will be lazy loaded.

Parameters

  string | $nameableFieldTypeServiceId | The field type nameable service Id
  string | $fieldTypeAlias | The field type alias (e.g. "ezstring")

Definition at line 31 of file FieldTypeNameableCollectionFactory.php.

## ◆ registerNonNameableFieldType()

eZ\Publish\Core\Base\Container\ApiLoader\FieldTypeNameableCollectionFactory::registerNonNameableFieldType | ( |  | $fieldTypeServiceId,
|  |  | $fieldTypeAlias
| ) |  |

Registers an eZ Publish field type.

Field types are being registered as a closure so that they will be lazy loaded.

Parameters

  string | $nameableFieldTypeServiceId | The field type nameable service Id
  string | $fieldTypeAlias | The field type alias (e.g. "ezstring")

Definition at line 46 of file FieldTypeNameableCollectionFactory.php.

## Member Data Documentation

## ◆ $nameableFieldTypeClosures

eZ\Publish\Core\Base\Container\ApiLoader\FieldTypeNameableCollectionFactory::$nameableFieldTypeClosures = []
| protected

Definition at line 22 of file FieldTypeNameableCollectionFactory.php.

Referenced by eZ\Publish\Core\Base\Container\ApiLoader\FieldTypeNameableCollectionFactory\getNameableFieldTypes().

The documentation for this class was generated from the following file:

- FieldTypeNameableCollectionFactory.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.